Ask Your Question
0

No definition of [boost] for OS version [xenial]

asked 2019-11-03 02:54:19 -0600

uestclx gravatar image

updated 2019-11-04 02:23:16 -0600

gvdhoorn gravatar image

I'm installing ROS kinetic from source code on Ubuntu 16.04.6 LTS, by following instructions on http://wiki.ros.org/kinetic/Installat...

However when I proceed to below step, I got strange errors.

$ rosdep install --from-paths src --ignore-src --rosdistro kinetic -y

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:

roslaunch: No definition of [python-rospkg] for OS version [xenial]
rosconsole: No definition of [boost] for OS version [xenial]
roslisp: No definition of [boost] for OS version [xenial]
catkin: No definition of [python-argparse] for OS version [xenial]
message_filters: No definition of [boost] for OS version [xenial]
rosmake: No definition of [python-rospkg] for OS version [xenial]
rostime: No definition of [boost] for OS version [xenial]
roslib: No definition of [python-rospkg] for OS version [xenial]
rosgraph: No definition of [python-rospkg] for OS version [xenial]
roscreate: No definition of [python-rospkg] for OS version [xenial]
cpp_common: No definition of [boost] for OS version [xenial]
rostest: No definition of [boost] for OS version [xenial]
rospy: No definition of [python-rospkg] for OS version [xenial]
rosunit: No definition of [python-rospkg] for OS version [xenial]
rospack: No definition of [boost] for OS version [xenial]
roswtf: No definition of [python-rospkg] for OS version [xenial]
rosbag: No definition of [python-rospkg] for OS version [xenial]
rosclean: No definition of [python-rospkg] for OS version [xenial]
rosbag_storage: No definition of [boost] for OS version [xenial]
rosmsg: No definition of [python-rospkg] for OS version [xenial]

Thanks a lot.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-11-03 19:33:16 -0600

uestclx gravatar image

updated 2019-11-04 02:23:44 -0600

gvdhoorn gravatar image

The problem is solved by upgrading system libraries. And below tools are in the upgrade list:

  • python-catkin-pkg
  • python-rosdep
  • python-rosdistro
  • python-rosinstall
  • python-rosinstall-generator
  • python-rospkg
  • python-vcstools
  • python-wstool

After the upgrade, all worked smoothly.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-11-03 02:54:19 -0600

Seen: 60 times

Last updated: Nov 04